import 'dart:async';
import 'package:example/console/console.dart';
import 'package:flutter/material.dart';
import 'package:guru_utils/controller/lifecycle_controller.dart';
import 'package:get/get.dart';
import 'package:draggable_float_widget/draggable_float_widget.dart';
import 'package:guru_widgets/animation/standard/transform_animation.dart';
import 'package:guru_popup/guru_popup.dart';


class ConsoleButtonController extends LifecycleController {
  late StreamController<OperateEvent> eventStreamController;
  late OverlayEntry overlayEntry;

  void showOverlayEntry() {
   GuruPopup.instance.showBottomOverlay(child: const ConsolePopup(), closable: true, height: 400);
  }

  ConsoleButtonController();

  @override
  void onInit() {
    eventStreamController = StreamController.broadcast();
    super.onInit();
  }

  @override
  void onReady() {
    super.onReady();
  }

  @override
  void onClose() {
    eventStreamController.close();
    super.onClose();
  }
}